{% if privexec_only %}
{%     if configuration_session %}
{%        include 'UTILITY_configure_session.j2' %}
{%     else %}
{%        include 'UTILITY_configure_terminal.j2' %}
{%     endif %}
{% endif %}
{% if ansible_network_os == 'arista.eos.eos' %}
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
{%     for local_user in local_users %}
aaa
 local-user {{ local_user.name }} password irreversible-cipher {{ local_user.hash_passwords.huawei_vrp }}
 local-user {{ local_user.name }} privilege level {{ local_user.privilege }}
 local-user {{ local_user.name }} service-type ssh http
 quit
#
ssh user {{ local_user.name }}
ssh user {{ local_user.name }} authentication-type password
ssh user {{ local_user.name }} service-type all
ssh user {{ local_user.name }} sftp-directory flash:
{%     endfor %}
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
{%     for local_user in local_users %}
username {{ local_user.name }} password {{ local_user.hash_passwords.dell_os10 }} role {{ local_user.role_dell_os10 }} priv-lvl {{ local_user.privilege }}
{%     endfor %}
{%     for local_user in local_users %}
{%         if local_user.ssh_key %}
username {{ local_user.name }} sshkey {{ local_user.ssh_key }}
{%         endif %}
{%         if local_user.secondary_ssh_key %}
username {{ local_user.name }} sshkey {{ local_user.secondary_ssh_key }}
{%         endif %}
{%     endfor %}
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
{%     for local_user in local_users %}
username "{{ local_user.name }}" password {{ local_user.hash_passwords.dell_os6 }} privilege {{ local_user.privilege }} encrypted
{%     endfor %}
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
{% if privexec_only %}
{%     if configuration_session %}
{%         include 'UTILITY_show_session-config_diffs.j2' %}
{%         include 'UTILITY_commit.j2' %}
{%     endif %}
{%     include 'UTILITY_end.j2' %}
{% endif %}
